﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>

<asp:Content ContentPlaceHolderID="HeadContent" runat="server">

    <%--CSS Files--%>
    <link href="<%= Url.Content("~/Content/jquery-ui-1.8.10.css") %>" rel="stylesheet" type="text/css" />
    <link href="<%= Url.Content("~/Content/ui.jqgrid.css") %>" rel="stylesheet" type="text/css" />
    <style type="text/css">
        /* fix the size of the pager */
        input.ui-pg-input{ width: auto;}
    </style>

    <%--jQuery Library--%>
    <script src="<%= Url.Content("~/Scripts/jquery-1.5.1.js") %>" type="text/javascript"></script>
    
    <%--Must load language tag BEFORE script tag--%>
    <script src="<%= Url.Content("~/Scripts/grid.locale-en.js") %>" type="text/javascript"></script>
    <script src="<%= Url.Content("~/Scripts/jquery.jqGrid.min.js") %>" type="text/javascript"></script>
  
    <%--jqGrid Code - refer http://www.trirand.com/blog/jqgrid/jqgrid.html --%>
    <script type="text/javascript">
      jQuery(document).ready(function() {
          jQuery('#list').jqGrid({
              url: '/Home/DynamicGridData/',
              datatype: 'json',
              mtype: 'POST',
              colNames: ['Id', 'Votes', 'Title'],
              colModel: [
                  { name: 'Id', index: 'Id', width: 40, align: 'left' },
                  { name: 'Votes', index: 'Votes', width: 40, align: 'left' },
                  { name: 'Title', index: 'Title', width: 400, align: 'left'}
              ],
              pager: '#pager',
              rowNum: 10,
              rowList: [5, 10, 20, 50],
              sortname: 'Id',
              sortorder: 'desc',
              viewrecords: true,
              height: 'auto',
              caption: 'My first grid'
          });
      }); 
    </script>  

</asp:Content>

<asp:Content ContentPlaceHolderID="MainContent" runat="server">

    <%-- HTML Required--%>
    <h2>My Grid Data</h2>
    <table id="list"></table>
    <div id="pager"></div>
  
</asp:Content>
